diff --git a/src/main.cpp b/src/main.cpp
index ea1e843..41a9409 100644
--- a/src/main.cpp
+++ b/src/main.cpp
@@ -61,6 +61,7 @@ private:
     vk::raii::RenderPass m_renderPass{ nullptr };
     vk::raii::PipelineLayout m_pipelineLayout{ nullptr };
     vk::raii::Pipeline m_graphicsPipeline{ nullptr };
+    std::vector<vk::raii::Framebuffer> m_swapChainFramebuffers;
     /////////////////////////////////////////////////////////////////
 
     /////////////////////////////////////////////////////////////////
@@ -84,6 +85,7 @@ private:
         createImageViews();
         createRenderPass();
         createGraphicsPipeline();
+        createFramebuffers();
     }
 
     void mainLoop() {
@@ -572,6 +574,23 @@ private:
         m_graphicsPipeline = m_device.createGraphicsPipeline( nullptr, pipelineInfo );
     }
     /////////////////////////////////////////////////////////////////
+
+    /////////////////////////////////////////////////////////////////
+    /// frame buffer
+    void createFramebuffers() {
+        m_swapChainFramebuffers.reserve( m_swapChainImageViews.size() );
+        for (size_t i = 0; i < m_swapChainImageViews.size(); i++) {
+            vk::FramebufferCreateInfo framebufferInfo;
+            framebufferInfo.renderPass = m_renderPass;
+            framebufferInfo.setAttachments( *m_swapChainImageViews[i] );
+            framebufferInfo.width = m_swapChainExtent.width;
+            framebufferInfo.height = m_swapChainExtent.height;
+            framebufferInfo.layers = 1;
+
+            m_swapChainFramebuffers.emplace_back( m_device.createFramebuffer(framebufferInfo) );
+        }
+    }
+    /////////////////////////////////////////////////////////////////
 };
 
 int main() {
